{lib, ...}:
with lib.types; {
  hm = {
    allInputs = mkOption {
      type = bool;
      default = default;
      description = ''
        Include all flake inputs. If false, only 'nixpkgs' and 'unstable'
        (if available) will be added to the flake registry by default.
      '';
    };

    renameSelf = mkOption {
      type = nullOr str;
      default = "self";
      description = "Registry name to use for the 'self' input";
    };
  };
}
